package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.db.AnchorDisableHisDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/2/9
 */
@Mapper
@Repository
public interface AnchorDisableHisDAO {

    /**
     * 插入记录
     *
     * @param anchorDisableHisDO
     * @return
     */
    int insert(AnchorDisableHisDO anchorDisableHisDO);

    /**
     * 查询最新一条主播封禁记录
     *
     * @param userId
     * @return
     */
    AnchorDisableHisDO selectLast(@Param("userId") Long userId);
}
