package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.db.ChannelRtcConfigDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/7/20 17:01
 * @Description 渠道语聊配置
 */
@Mapper
@Repository
public interface ChannelRtcConfigDAO {

    /**
     * 获取语聊配置
     *
     * @param configId
     * @return
     */
    ChannelRtcConfigDO selectRtcConfigById(@Param("configId") Long configId);

}
