package com.starbuds.server.service.user.dao;


import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 渠道(APP)秘钥
 */
@Mapper
@Repository
public interface ChannelSecretDAO {

    /**
     * 获得渠道秘钥（已启用）
     *
     * @param channelId
     * @return
     */
    String selectSecertKey(@Param("channelId") Long channelId);
}
