package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.db.LiveCategoryDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2019-12-24 16:21:52
 * @Description 直播分类持久层
 */
@Mapper
@Repository
public interface LiveCategoryDAO {

    /**
     * 根据分类id查询
     *
     * @param categoryIds
     * @return
     */
    List<LiveCategoryDO> findByIds(@Param("categoryIds") long[] categoryIds);

}
