package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.db.NiceNoHisDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * NiceNoHisDAO
 *
 * @author Lay
 * @date 2019/12/24
 */
@Mapper
@Repository
public interface NiceNoHisDAO {
    /**
     * 创建记录
     *
     * @param niceNoHisDO
     * @return
     */
    int insert(NiceNoHisDO niceNoHisDO);

    /**
     * 查询最新绑定记录
     *
     * @param niceNo
     * @return
     */
    Long selectLastId(@Param("niceNo") Long niceNo);
}
