package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.db.UserAdHisDo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 备注
 *
 * @author ruomu
 * @date 2020/10/9
 */
@Mapper
@Repository
public interface UserAdHisDAO {
    /**
     * 根据 id 统计
     */
    Long insert(UserAdHisDo userAdHisDO);

    UserAdHisDo getByIdfa(@Param("idfa") String idfa);

    UserAdHisDo getByImei(@Param("imei") String imei);

    UserAdHisDo getByIp(@Param("ip") String ip);

    UserAdHisDo getByUserId(@Param("userId") Long userId);

    int setAdState(@Param("adId") long adid, @Param("userId") long userId);

    int setIsRecharge(@Param("adId") long adid);

}
