package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.db.UserNobleHisDO;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/3/4
 */
@Mapper
@Repository
public interface UserNobleHisDAO {
    /**
     * 写入记录
     *
     * @param userNobleHisDO
     * @return
     */
    int insert(UserNobleHisDO userNobleHisDO);

    /**
     * 查询最新记录 id
     *
     * @param userId
     * @return
     */
    Long selectLastId(Long userId);
}
