package com.starbuds.server.service.user.dao;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 备注
 *
 * @author Lay
 * @date 2019/12/13
 */
@Mapper
@Repository
public interface UserNumberPoolDAO {
    /**
     * 查询随机可用 id
     *
     * @return
     */
    Long selectRandomId();

    /**
     * 更新占用 id
     *
     * @param id
     * @param userId
     * @return
     */
    int updateId(@Param("id") Long id, @Param("userId") Long userId);
}
