package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.db.UserRtcConfigDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/7/20 17:01
 * @Description 用户语聊配置
 */
@Mapper
@Repository
public interface UserRtcConfigDAO {

    /**
     * 获取语聊配置
     *
     * @param userId
     * @return
     */
    UserRtcConfigDO selectRtcConfigById(@Param("userId") Long userId, @Param("businessType") Integer businessType);

}
