package com.starbuds.server.service.user.provider;

/**
 * 名字服务
 *
 * @author Lay
 * @date 2020/9/11
 */
public interface INameProvider {
    /**
     * 获取名字
     *
     * @return
     */
    String get();

    /**
     * 获取随机并且不重复的用户名
     *
     * @return
     */
    String getRandomUserName();
}
