package com.starbuds.server.service.user.request;

import lombok.Data;

import java.io.Serializable;

/**
 * 用户注册通知
 *
 * @author aoe
 * @date 2020/6/8
 */
@Data
public class NoticeUserRegisteredReq implements Serializable {

    /**
     * 手机号
     */
    private String phone;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 星芽号
     */
    private Long userNo;

    /**
     * 用户昵称
     */
    private String nickname;

    /**
     * 用户头像
     */
    private String userAvatar;

    /**
     * 邀请人用户id
     */
    private Long inviteUserId;

    /**
     * 时间戳
     */
    private Long timestamp;

    /**
     * 签名
     */
    private String sign;
}
