package com.starbuds.server.service.user.request;

import lombok.Data;

/**
 * （HTTP）请求参数
 *
 * @author aoe
 * @date 2020/6/3
 */
@Data
public class UserReq {

    /**
     * 手机号国家代码（例如：中国 86）（必传）
     */
    private String country;

    /**
     * 手机号（必传）
     */
    private String phone;

    /**
     * 验签字符（必传）
     */
    private String sign;

    /**
     * 时间戳（必传）
     */
    private long timestamp;
}
