package com.starbuds.server.service.user.response;

import lombok.Data;

/**
 * （HTTP）返回参数
 *
 * @author aoe
 * @date 2020/6/3
 */
@Data
public class UserRes {

    /**
     * 用户Id
     */
    private String userId;

    /**
     * 用户昵称
     */
    private String nickname;

    /**
     * 用户头像
     */
    private String userAvatar;

    /**
     * 年龄
     */
    private Integer userAge;

    /**
     * 性别 0:未知; 1:男; 2:女
     */
    private Integer userSex;

    /**
     * 出生日期(格式：1990-01-01)
     */
    private String bornTime;

    /**
     * 电子邮件地址
     */
    private String userEmail;

    /**
     * 国家名称
     */
    private String country;

    /**
     * 省（州）
     */
    private String province;

    /**
     * 市
     */
    private String city;

    /**
     * 区
     */
    private String region;

    /**
     * 联系地址
     */
    private String userAddress;

    /**
     * 所在纬度
     */
    private Double userLatitude;

    /**
     * 所在经度
     */
    private Double userLongitude;
}
