package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.db.FamilyRtcConfigDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/11/22 18:58
 * @Description 家族语音房配置
 */
@Mapper
@Repository
public interface FamilyRtcConfigDAO {

    /**
     * 获取配置
     *
     * @param familyId
     * @return
     */
    FamilyRtcConfigDO selectRtcConfigById(@Param("familyId") Long familyId);

}
