package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.db.NoblePriceConfigDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/3/4
 */
@Mapper
@Repository
public interface NoblePriceConfigDAO {
    /**
     * 查询贵族价格
     *
     * @param nobleLevel
     * @return
     */
    NoblePriceConfigDO selectByLevel(@Param("nobleLevel") Integer nobleLevel);

    /**
     * 查询所有
     *
     * @return
     */
    List<NoblePriceConfigDO> selectAll();
}
