package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.user.SingleChatCategory;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/3/25
 */
@Mapper
@Repository
public interface SingleChatCategoryDAO {
    /**
     * 根据分类id查询
     */
    List<SingleChatCategory> selectByIds(@Param("categoryIds") long[] categoryIds);
}
