package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.db.UserBagDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/3/3
 */
@Mapper
@Repository
public interface UserBagDAO {
    /**
     * 根据 id 查询
     *
     * @param id
     * @return
     */
    UserBagDO selectById(@Param("id") String id);

    /**
     * 修改数量
     *
     * @param id
     * @param quantity
     * @param whereVersion
     * @param updateTIme
     * @return
     */
    int updateQuantity(@Param("id") String id, @Param("quantity") Integer quantity, @Param("whereVersion") Long whereVersion, @Param("updateTIme") Long updateTIme);
}
