package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.db.UserFirstRechargeRemindDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Mapper
@Repository
public interface UserFirstRechargeRemindDAO {
    /**
     * 插入提醒记录
     *
     * @param userFirstRechargeRemindDO
     * @return
     */
    int insert(UserFirstRechargeRemindDO userFirstRechargeRemindDO);

    /**
     * 获取一条提醒记录
     *
     * @param userId
     * @param version
     * @return
     */
    UserFirstRechargeRemindDO selectOne(@Param("userId") long userId, @Param("version") long version);
}
