package com.starbuds.server.service.user.dao;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/9/7 16:29
 * @Description 用户授权
 */
@Mapper
@Repository
public interface UserGrantAuthDAO {

    /**
     * 获取随机用户id
     *
     * @param authType
     * @return
     */
    Long selectRandomUserId(@Param("authType") Integer authType);

}
