package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.db.UserLoginHisDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * UserLoginHisDAO
 *
 * @author Lay
 * @date 2019/12/9
 */
@Mapper
@Repository
public interface UserLoginHisDAO {
    /**
     * 创建登录记录
     *
     * @param userLoginHisDO
     * @return
     */
    int insert(UserLoginHisDO userLoginHisDO);

    /**
     * 查询最近登录渠道
     *
     * @param userId
     * @return
     */
    String selectLastHeaders(@Param("userId") Long userId);
}
