package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.db.UserScoreHisDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @Author jiangxiaowei
 * @DateTime 2020-01-18 16:23:32
 * @Description 用户积分变动记录持久层
 */
@Mapper
@Repository
public interface UserScoreHisDAO {
    /**
     * 新增
     *
     * @param entity
     * @return
     */
    Integer insert(UserScoreHisDO entity);

    /**
     * 根据主键更新
     *
     * @param entity
     * @return
     */
    Integer updateById(UserScoreHisDO entity);

    /**
     * 根据主键查询
     *
     * @param hisId
     * @return
     */
    UserScoreHisDO selectById(@Param("hisId") Long hisId);

}
