package com.starbuds.server.service.user.dao;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

@Mapper
@Repository
public interface UserVipDAO {

    /**
     * 查询会员等级
     *
     * @param userId
     * @return
     */
    @Select("SELECT vipLevel FROM tb_user_vip " +
            "WHERE userId = #{userId} " +
            "AND status > 0")
    Integer selectVipLevel(@Param("userId") Long userId);
}
