package com.starbuds.server.service.user.impl;

import com.starbuds.server.common.pojo.db.UserAdHisDo;
import com.starbuds.server.common.service.user.UserADHisService;
import com.starbuds.server.service.user.dao.UserAdHisDAO;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.Service;

import javax.annotation.Resource;

/**
 * @author: ruomu
 * @date: 2021/9/28 created
 */
@Service(version = "1.0.0")
@Slf4j
public class UserAdHisServiceImpl implements UserADHisService {

    @Resource
    UserAdHisDAO userAdHisDAO;

    @Override
    public Long insert(UserAdHisDo userAdHisDo) {
        return userAdHisDAO.insert(userAdHisDo);
    }

    @Override
    public UserAdHisDo getByIdfa(String idfa) {
        return userAdHisDAO.getByIdfa(idfa);
    }

    @Override
    public UserAdHisDo getByImei(String imei) {
        return userAdHisDAO.getByImei(imei);
    }

    @Override
    public int setAdState(long adid, long userId) {
        return userAdHisDAO.setAdState(adid, userId);
    }
}
