package com.starbuds.server.service.user.pojo;

import lombok.Data;

import java.io.Serializable;

/**
 * 第三方用户通知类API信息
 *
 * @author aoe
 * @date 2020/6/8
 */
@Data
public class ThirdPartyNoticeApi implements Serializable {

    /**
     * 渠道Id
     */
    private Long channelId;

    /**
     * 秘钥
     */
    private String secretKey;

    /**
     * 星芽注册用户通知对方url
     */
    private String apiNoticeUserRegistered;

    /**
     * 星芽用户修改信息通知对方Url
     */
    private String apiNoticeUserUpdate;
}
