package com.starbuds.server.service.user.provider;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/4 20:42
 * @Description 一键登录服务提供者
 */
public interface AbstractOneKeyLoginProvider {

    /**
     * 获取手机号
     */
    String getMobile(String token, String accessKey, String accessSecret);

    /**
     * 校验手机号
     */
    Boolean verifyMobile(String token, String mobile, String accessKey, String accessSecret);

}
