package com.starbuds.server.service.user.provider;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/5 15:09
 * @Description 一键登录业务接口
 */
public interface IOneKeyLoginProvider {

    /**
     * 获取手机号
     *
     * @param channelId  渠道id
     * @param token      token
     * @param clientType 客户端类型
     * @return 手机号
     */
    String getMobile(Long channelId, String token, Integer clientType);

    /**
     * 验证手机号
     */
    Boolean verifyMobile(Long channelId, String token, String mobile, Integer clientType);

}
