package com.starbuds.server.service.user.request;

import lombok.Data;

import java.io.Serializable;

/**
 * 用户修改信息通知
 *
 * @author aoe
 * @date 2020/6/8
 */
@Data
public class NoticeUserUpdateReq implements Serializable {

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户昵称
     */
    private String nickname;

    /**
     * 用户头像
     */
    private String userAvatar;

    /**
     * 时间戳
     */
    private Long timestamp;

    /**
     * 签名
     */
    private String sign;
}
