package com.starbuds.server.service.user.impl;

import com.starbuds.server.common.pojo.rtc.RtcLiveUserProfile;
import com.starbuds.server.common.service.user.RtcUserService;
import com.starbuds.server.common.utils.LogUtil;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.Reference;
import org.junit.jupiter.api.Test;
import test.BaseTest;

import java.util.List;

@Slf4j
public class RtcUserServiceImplTest extends BaseTest {

    @Reference(version = "1.0.0")
    private RtcUserService rtcUserService;

    @Test
    public void testGetUserProfiles() {
        Long roomId = Long.parseLong("441815434002432");
        List<RtcLiveUserProfile> list = rtcUserService.getUserProfiles(roomId);
        log.info(LogUtil.obj2JsonObj(list));
    }
}